<?php
require_once __DIR__ . DIRECTORY_SEPARATOR . ".." . DIRECTORY_SEPARATOR . "session_start.php";
require_once __DIR__ . DIRECTORY_SEPARATOR . ".." . DIRECTORY_SEPARATOR . "config.php";
require_once __DIR__ . DIRECTORY_SEPARATOR . ".." . DIRECTORY_SEPARATOR . "includes" . DIRECTORY_SEPARATOR . "helpers.php";

class ModuleHistoryController {

    var $tables = array(
        Modules::LEADS        => "`leads`",
        Modules::CONTACTS     => "`contacts`",
        Modules::INVOICES     => "`v_invoices`",
        Modules::DOSE_ORDERS  => "`v_doses`",
        Modules::ROOMS        => "`v_rooms`"
        /*Modules::COMPANIES    => "<strong>Companies</strong>",
        Modules::CALENDAR     => "<strong>Calendar</strong>",
        Modules::REPORTS      => "<strong>Reports</strong>",
        Modules::ESTIMATES    => "<strong>Estimates</strong>",
        Modules::REFUNDS      => "<strong>Refunds</strong>",
        Modules::RECEIVABLES  => "<strong>Receivables</strong>",
        Modules::STORES       => "<strong>Stores</strong>",
        Modules::EMPLOYEES    => "<strong>Employees</strong>",
        Modules::NOTES        => "<strong>Notes</strong>",
        Modules::INVENTORY    => "<strong>Inventory</strong>",
        Modules::PHARMACY     => "<strong>Pharmacy</strong>"*/
    );

    var $primaryKeys = array(
        Modules::LEADS        => "`id`",
        Modules::CONTACTS     => "`id`",
        Modules::INVOICES     => "`id`",
        Modules::DOSE_ORDERS  => "`order_id`",
        Modules::ROOMS        => "`id`"
        /*Modules::COMPANIES    => "<strong>Companies</strong>",
        Modules::CALENDAR     => "<strong>Calendar</strong>",
        Modules::REPORTS      => "<strong>Reports</strong>",
        Modules::ESTIMATES    => "<strong>Estimates</strong>",
        Modules::REFUNDS      => "<strong>Refunds</strong>",
        Modules::RECEIVABLES  => "<strong>Receivables</strong>",
        Modules::STORES       => "<strong>Stores</strong>",
        Modules::EMPLOYEES    => "<strong>Employees</strong>",
        Modules::NOTES        => "<strong>Notes</strong>",
        Modules::INVENTORY    => "<strong>Inventory</strong>",
        Modules::PHARMACY     => "<strong>Pharmacy</strong>"*/
    );

    public function Add($module_id, $record_id, $user_id = -1){
        if($user_id == -1)
            $user_id = $_SESSION["userid"];

        $sql = "
INSERT INTO `module_access_history`
    (`module_id`,
     `record_id`,
     `user_id`)
VALUES
    ($module_id,
     $record_id,
     $user_id)";

        $query = mysql_query($sql);
        return mysql_insert_id();
    }

    public function ListModuleHistory($module_id, $columns, $user_id = -1, $limit = 15){
        if($user_id == -1)
            $user_id = $_SESSION["userid"];

        $tableName  = $this->tables[$module_id];
        $primaryKey = $this->primaryKeys[$module_id];

        $sql = "
SELECT
	$columns
FROM
	(SELECT
		m.`record_id`,
		MAX(m.access_date) access_date
	FROM
		`module_access_history` m
	WHERE
		m.module_id = $module_id AND m.user_id = $user_id
	GROUP BY
		m.`record_id`) m
INNER JOIN
	$tableName ON m.record_id = $tableName.$primaryKey
ORDER BY
	m.access_date DESC
LIMIT
    $limit
";

        $query = mysql_query($sql);
        $rows = array();

        while($row = mysql_fetch_array($query)){
            $rows[] = $row;
        }

        return $rows;
    }
}

