<?php
require_once __DIR__ . DIRECTORY_SEPARATOR . 'includes' . DIRECTORY_SEPARATOR . 'helpers.php';
require_once __DIR__ . DIRECTORY_SEPARATOR . 'classes' . DIRECTORY_SEPARATOR . 'ModuleHistoryController.php';

SetTimeZone();
$authentication = new Authentication();
$authentication->CheckAuthentication();

require_once('classes/DoseController.php');
global $DoseController;

if(isset($_POST['submit'])){

    $callSource  = $_POST['callSource'];
    $status = $_POST['status'];
    $sales_person = $_POST['sales_person'];
    $amount = $_POST['txtOrder'];
    $notes = $_POST['notes'];

    $order_id = $_POST['hdnOrderId'];

    if($order_id == 0){
        $store_id = $_SESSION["store_id"];
        $contact_id = $_POST['contact'];
        $inventory_id = $_POST['product'];
        $invoice_id = $_POST['invoice'];

        $sql = "
INSERT INTO `dose_orders`
    (`contact_id`,
     `inventory_id`,
     `store_id`,
     `invoice_id`,
     `amount`,
     `left`)
VALUES
   ($contact_id,
    $inventory_id,
    $store_id,
    $invoice_id,
    $amount,
    (SELECT
	inv.`dose` * SUM(i.`quantity`) -
	IFNULL((SELECT SUM(`amount`) FROM dose_lastorder WHERE dose_lastorder.`invoice_id` = it.id AND dose_lastorder.`store_id` = it.`store_id` AND `inventory_id` = inv.`id` AND dose_lastorder.`status` <> 6), 0) total_left
FROM
	invoice_total it
INNER JOIN
	invoice i
ON
	it.`id` = i.`invoice_id`
INNER JOIN
	inventory inv
ON
	i.`item_id` = inv.`id`
WHERE
	it.`id` = $invoice_id
AND
	inv.id = $inventory_id) - $amount)";

        $query = mysql_query($sql);
        $order_id = mysql_insert_id();
    } else {
        /* No need to update anything - we track it by dose_history
         * $sql = "
UPDATE `dose_orders`
SET
    `amount` = $amount
WHERE `id` = $order_id";

        $query = mysql_query($sql);*/
    }

    $DoseController->AddHistory($order_id, $status, $sales_person, $notes);

    $ModuleHistoryController = new ModuleHistoryController();
    $ModuleHistoryController->Add(Modules::DOSE_ORDERS, $order_id);

    //echo $sql;
    if($callSource != 0 && is_numeric($callSource))
        header("Location: editcontact.php?id=$callSource"); /* Redirect browser */
    elseif($callSource == "sum")
        header("Location: dose_active_orders_summary.php"); /* Redirect browser */
    else
        header("Location: dose_active_orders.php"); /* Redirect browser */

    exit; /* Make sure that code below does not get executed when we redirect. */
}

$notes = "";
$product = "";
$cid = "";
$inv = "";
$amount = "";
$status = "4";
$sales_person = $_SESSION['userid'];
$order_date = date("Y-m-d H:i:s");
$order_history = "";
$disable_control = "";
$ordered_by = "";
$showRemaining = true;

$callSource = isset($_GET['callSource']) ? $_GET['callSource'] : 0;

if(isset($_GET['id'])){
    $order_id = $_GET['id'];

    $sql = "
SELECT
  d.`id`,
  d.`contact_id`,
  d.`inventory_id`,
  d.`store_id`,
  d.`invoice_id`,
  d.`status`,
  emp.`emp_name`,
  d.`ordered_date`,
  d.`amount`,
  d.`notes`
FROM `dose_order` d
INNER JOIN
  `employee_master` emp
ON
  emp.`emp_id` = d.`ordered_by`
WHERE
  `id` = $order_id";

    $disable_control = " disabled='disabled'";
    $showRemaining = false;

    $query = mysql_query($sql);
    if ($row = mysql_fetch_array($query)) {
        $cid = $row['contact_id'];
        $product = $row['inventory_id'];
        $inv = $row['invoice_id'];
        $status = $row['status'];
        $ordered_by = $row['emp_name'];
        $order_date = $row['ordered_date'];
        $amount = $row['amount'];
        //$notes = $row['notes'];
    }

    $rows = $DoseController->ListHistoryEx($order_id);

    $order_history = "";
    foreach($rows as $key => $value){
        $order_history .= "<strong>$value[status]</strong> by <strong>$value[modified_by]</strong> at $value[modified_date]";
        if($value['notes'] != '')
            $order_history .= " - $value[notes]";
        $order_history .= "<br/>";
    }
} else {
    if(isset($_GET['cid']))
        $cid = $_GET['cid'];

    if(isset($_GET['iid']))
        $product = $_GET['iid'];

    if(isset($_GET['inv'])) {
        $inv = $_GET['inv'];

        $q = mysql_query("SELECT contact_id FROM invoice_total WHERE id='$inv'");
        $rows = mysql_fetch_array($q);
        $cid = $rows[0];
    }
}

?>
<!DOCTYPE html>
<!-- 
Template Name: Metronic - Responsive Admin Dashboard Template build with Twitter Bootstrap 3.0
Version: 1.5
Author: KeenThemes
Website: http://www.keenthemes.com/
Purchase: http://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469?ref=keenthemes
-->
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8" />
    <title>Add Dose Order</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN PAGE LEVEL STYLES -->
    <link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css"/>
    <link rel="stylesheet" type="text/css" href="assets/plugins/jquery-multi-select/css/multi-select.css"/>
    <!-- END PAGE LEVEL SCRIPTS -->
    <!-- BEGIN THEME STYLES -->
    <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
    <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
    <!-- END THEME STYLES -->
    <link rel="shortcut icon" href="favicon.ico"/>
</head>

<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
<!-- BEGIN HEADER -->
<div class="header navbar navbar-inverse navbar-fixed-top">
    <!-- BEGIN TOP NAVIGATION BAR -->
    <div class="header-inner">
        <!-- BEGIN LOGO -->
        <a class="navbar-brand" href="#">
            POS SYSTEM
        </a>
        <!-- END LOGO -->
        <!-- BEGIN RESPONSIVE MENU TOGGLER -->
        <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <img src="assets/img/menu-toggler.png" alt=""/>
        </a>
        <!-- END RESPONSIVE MENU TOGGLER -->
        <!-- BEGIN TOP NAVIGATION MENU -->
        <ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
                <a href="index.php" class="dropdown-toggle">
                    Logout
                </a>
            </li>
        </ul>
    </div>
</div>
<!-- END HEADER -->
<div class="clearfix"></div>
<!-- BEGIN CONTAINER -->
<div class="page-container">
<?php include('menu.php'); ?>
<!-- END SIDEBAR -->
<!-- BEGIN PAGE -->
<div class="page-content">
<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->

<!-- /.modal -->
<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<!-- BEGIN STYLE CUSTOMIZER -->

<!-- END BEGIN STYLE CUSTOMIZER -->
<!-- BEGIN PAGE HEADER-->

<!-- END PAGE HEADER-->
<!-- BEGIN PAGE CONTENT-->
<div class="row">
<div class="col-md-12">

<!-- Modal Windows Go Here -->

<div class="portlet box green">
<div class="portlet-title">
    <div class="caption"><i class="icon-reorder"></i>Add Dose Order</div>
</div>


<div class="portlet-body form">
<!-- BEGIN FORM-->
<form action="dose_add_order.php" method="post" class="form-horizontal" id="frm_submit">

<input type="hidden" name="hdnOrderId" id="hdnOrderId" value='<?php echo isset($_GET['id']) ? $_GET['id'] : 0; ?>' />
<input type="hidden" name="callSource" id="callSource" value='<?php echo $callSource; ?>' />

<div class="form-body">
<h3 class="form-section"></h3>

    <div class="row">
        <div class="col-md-6">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="control-label col-md-3">Customer Name</label>

                        <div class="col-md-9">
                            <select class="form-control select2me" name="contact" id="contact" <?php echo $disable_control; ?>>
                                <option>Select Contact</option>
                                <?php $sql = "select * from contacts";
                                $query = mysql_query($sql);

                                while ($row_contact = mysql_fetch_array($query)) {
                                    ?>
                                    <option value="<?php echo $row_contact['id']; ?>"
                                        <?php if($cid == $row_contact['id']) echo "selected='selected'"; ?>
                                        ><?php echo $row_contact['fname'] . ' ' . $row_contact['lname']; ?></option>
                                <?php
                                } ?>
                            </select>

                        </div>
                    </div>
                </div>
            </div>
            <!--/row-->
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="control-label col-md-3">Invoice</label>

                        <div class="col-md-9">
                            <select class="form-control" name="invoice" id="invoice" data-selected="<?php echo $inv; ?>" <?php echo $disable_control; ?>></select>
                        </div>
                    </div>
                </div>
            </div>
            <!--/row-->
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="control-label col-md-3">Product</label>

                        <div class="col-md-9">
                            <select class="form-control" name="product" id="product" data-selected="<?php echo $product; ?>" <?php echo $disable_control; ?>></select>
                        </div>
                    </div>
                </div>
            </div>
            <!--/row-->
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="control-label col-md-3">Purchased</label>

                        <div class="col-md-9">
                            <label id="purchased" class="control-label"></label>
                        </div>
                    </div>
                </div>
            </div>
<?php if($showRemaining){ ?>
            <!--/row-->
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="control-label col-md-3">Remaining</label>

                        <div class="col-md-9">
                            <label id="remaining" class="control-label"></label>
                        </div>
                    </div>
                </div>
            </div>
<?php } ?>
            <!--/row-->
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="control-label col-md-3">Order</label>

                        <div class="col-md-9">
                            <input type="text" name="txtOrder" id="txtOrder" class="form-control" value="<?php echo $amount; ?>" <?php echo $disable_control; ?>>
                        </div>
                    </div>
                </div>
            </div>
            <!--/row-->
            <?php if($ordered_by!=""){?>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="control-label col-md-3">Ordered By</label>

                        <div class="col-md-9">
                            <label class="control-label"><?php echo $ordered_by; ?></label>
                        </div>
                    </div>
                </div>
            </div>
            <!--/row-->
            <?php }?>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="control-label col-md-3">Order Date</label>

                        <div class="col-md-9">
                            <label class="control-label"><?php echo $order_date; ?></label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <!--/row-->
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="control-label col-md-3">Sales Person</label>

                        <div class="col-md-9">
                            <select class="form-control" name="sales_person" id="sales_person">
                                <?php
                                $query = mysql_query("SELECT
  `emp_id`,
  `emp_name`
FROM `employee_master`");
                                while($data = mysql_fetch_array($query)){
                                    echo "<option value='$data[emp_id]'" .  (($data['emp_id'] == $sales_person) ? "selected=selected" : "") . ">$data[emp_name]</option>";
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="control-label col-md-3">Status</label>

                        <div class="col-md-9">
                            <select class="form-control" name="status" id="status">
                                <?php
                                $query = mysql_query("SELECT
          `id`,
          `status`
        FROM `dose_statuses`");
                                while($data = mysql_fetch_array($query)){
                                    echo "<option value='$data[id]'" .  (($data['id'] == $status) ? "selected=selected" : "") . ">$data[status]</option>";
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <!--/row-->
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="control-label col-md-3">Notes</label>

                        <div class="col-md-9">
                            <textarea id="notes" name="notes" class="form-control"><?php echo $notes; ?></textarea>
                        </div>
                    </div>
                </div>
            </div>
            <!--/row-->
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="control-label col-md-3">Status History</label>

                        <div class="col-md-9">
                            <label><?php echo $order_history; ?></label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>


<div class="form-actions fluid">
    <div class="row">
        <div class="col-md-6">
            <div class="col-md-offset-3 col-md-9">
                <!--<input type="submit" class="btn green" value="Save">-->
                <input type="submit" name="submit" class="btn green" disabled="disabled" id="btn_submit" value="Submit" />
                <button type="button" class="btn default" onClick="window.history.back()">Cancel</button>
            </div>
        </div>
        <div class="col-md-6">
        </div>
    </div>
</div>
</form>
<!-- END FORM-->
</div>

</div>

</div>


<!-- END PAGE CONTENT-->
</div>
<!-- END PAGE -->
</div>

<!-- END CONTAINER -->
<!-- BEGIN FOOTER -->
<div class="footer">
    <div class="footer-inner">
        2013 &copy; Metronic by keenthemes.
    </div>
    <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
    </div>
</div>

<!-- END FOOTER -->
<!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->
<!-- BEGIN CORE PLUGINS -->
<!--[if lt IE 9]>
<script src="assets/plugins/respond.min.js"></script>
<script src="assets/plugins/excanvas.min.js"></script>
<![endif]-->
<script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>
<!-- IMPORTANT! Load jquery-ui-1.10.1.custom.min.js before bootstrap.min.js to fix bootstrap tooltip conflict with jquery ui tooltip -->
<script src="assets/plugins/jquery-ui/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"
        type="text/javascript"></script>
<script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
<script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript"></script>
<!-- END CORE PLUGINS -->
<!-- BEGIN PAGE LEVEL PLUGINS -->


<script type="text/javascript" src="assets/plugins/fuelux/js/spinner.min.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js"></script>
<script type="text/javascript" src="assets/plugins/jquery.input-ip-address-control-1.0.min.js"></script>

<script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.multi-select.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.quicksearch.js"></script>
<!-- END PAGE LEVEL PLUGINS -->
<!-- BEGIN PAGE LEVEL SCRIPTS -->
<script src="assets/scripts/app.js"></script>
<script src="assets/scripts/form-samples.js"></script>
<script src="assets/scripts/form-components.js"></script>
<!-- END PAGE LEVEL SCRIPTS -->
<script>
    jQuery(document).ready(function (){
        // initiate layout and plugins
        App.init();
        FormSamples.init();
        FormComponents.init();

        loadInvoicesByContact();
        //loadProductsByContact();
    });

    var doses = [];
    var invoices = [];

    function loadInvoicesByContact()
    {
        var contact_id = $("#contact").val();
        if(contact_id == "Select Contact")
            return;

        $.ajax({
            type: 'POST',
            data: { contact: contact_id },
            dataType: "json",
            url: 'dose_customer_invoices.php',
            success: function(data){
                invoices = data;

                //populate the ordered invoices
                var invoice = $("#invoice");
                // reset control
                invoice.html('').removeClass("select2-offscreen");
                invoice.append("<option value=''></option>");

                var selected = invoice.data("selected");

                for(var i = 0; i < data.length; i++){
                    var inv = data[i];
                    var selection = (selected == inv.id) ? "selected=true" : "";

                    invoice.append("<option value='"+inv.id+"' data-index="+i+" "+selection+">"+inv.name+"</option>");

                    if(selected == inv.id)
                        loadProductsByInvoice();
                }

                if (jQuery().select2) {
                    invoice.select2({
                        placeholder: "Select",
                        allowClear: false,
                        isFocused: true
                    });
                }
            }
        });
    }

    function loadProductsByInvoice()
    {
        var invoice_id = $("#invoice").val();
        if(invoice_id == "")
            return;

        $.ajax({
            type: 'POST',
            data: { invoice: invoice_id },
            dataType: "json",
            url: 'dose_invoice_products.php',
            success: function(data){
                doses = data;

                //populate the ordered products
                var product = $("#product");
                // reset control
                product.html('').removeClass("select2-offscreen");
                product.append("<option></option>");

                var selected = product.data("selected");

                for(var i = 0; i < data.length; i++){
                    var dose = data[i];
                    var selection = (selected == dose.id) ? "selected=true" : "";

                    product.append("<option value='"+dose.id+"' data-index="+i+" "+selection+">"+dose.name+"</option>");

                    if(selected == dose.id)
                        loadDataByProduct();
                }

                if (jQuery().select2) {
                    product.select2({
                        placeholder: "Select",
                        allowClear: false,
                        isFocused: true
                    });
                }
            }
        });
    }

    function loadDataByProduct()
    {
        var i = $("#product option:selected").data('index');
        var dose = doses[i];
        $("#purchased").text(dose.purchased_doses);

<?php if($showRemaining){ ?>
        var rem = dose.purchased_doses - dose.ordered_doses;
        $("#remaining").text(rem);
<?php } ?>
        $("#btn_submit").removeAttr("disabled");
    }

    $("#contact").change(loadInvoicesByContact);
    $("#invoice").change(loadProductsByInvoice);
    $("#product").change(loadDataByProduct);

<?php if($showRemaining){ ?>
    $("#btn_submit").click(function(){
        var remaining = parseInt($("#remaining").text());
        if(!isNaN(remaining)){
            var ordered = parseInt($("#txtOrder").val());
            if(!isNaN(ordered)) {
                if(ordered <= remaining){
                    return;
                } else {
                    alert('Ordered amount cannot be larger than remaining amount');
                }
            } else {
                alert('Ordered amount must be a valid number');
            }
        }

        event.stopImmediatePropagation();
        return false;
    });
<?php } ?>
</script>
<!-- END JAVASCRIPTS -->
</body>
<!-- END BODY -->
</html>