<?php
require_once 'includes/helpers.php';
SetTimeZone();

$authentication = new Authentication();
$authentication->CheckAuthentication();

$role = $_SESSION["role"];
$can_delete = $authentication->CanDelete($role , Modules::INVOICES);

$validation = new Validation();

$role = $_SESSION["role"];
$can_export = $authentication->CanExport($role , Modules::INVOICES );

if (isset($_GET['startdate'])) {
    $dt1 = $_GET['startdate'];
    $dt2 = $_GET['enddate'];

    $validation->ValidateDateParameter($dt1);
    $validation->ValidateDateParameter($dt2);
} else {
    $dt1 = date('m/d/y');
    $dt2 = date('m/d/y');
}
?>
<!DOCTYPE html>
<!-- 
Template Name: Metronic - Responsive Admin Dashboard Template build with Twitter Bootstrap 3.0
Version: 1.5
Author: KeenThemes
Website: http://www.keenthemes.com/
Purchase: http://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469?ref=keenthemes
-->
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8"/>
    <title>View Invoices</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN PAGE LEVEL STYLES -->
    <link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css"/>
    <link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css"/>
    <!-- END PAGE LEVEL STYLES -->
    <!-- BEGIN THEME STYLES -->
    <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
    <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
    <!-- END THEME STYLES -->
    <link rel="shortcut icon" href="favicon.ico"/>
</head>
<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
<!-- BEGIN HEADER -->
<div class="header navbar navbar-inverse navbar-fixed-top">
    <!-- BEGIN TOP NAVIGATION BAR -->
    <div class="header-inner">
        <!-- BEGIN LOGO -->
        <a class="navbar-brand" href="index.html">
            POS SYSTEM
        </a>
        <!-- END LOGO -->
        <!-- BEGIN RESPONSIVE MENU TOGGLER -->
        <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <img src="assets/img/menu-toggler.png" alt=""/>
        </a>
        <!-- END RESPONSIVE MENU TOGGLER -->
        <!-- BEGIN TOP NAVIGATION MENU -->
        <ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
                <a href="index.php" class="dropdown-toggle">
                    Logout
                </a>
            </li>
        </ul>
    </div>
</div>
<!-- END HEADER -->
<div class="clearfix"></div>
<!-- BEGIN CONTAINER -->
<div class="page-container">
<!-- BEGIN SIDEBAR -->
<?php include('menu.php'); ?>
<!-- END SIDEBAR -->
<!-- BEGIN PAGE -->
<div class="page-content">
<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Modal title</h4>
            </div>
            <div class="modal-body">
                <input type="text" id="edit_id" value="" class="icon medium" placeholder="Project Title"/>


            </div>
            <div class="modal-footer">
                <button type="button" class="btn blue">Save changes</button>
                <button type="button" class="btn default" data-dismiss="modal">Close</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>

<div class="modal fade" id="portlet-config1" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog modal-wide">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Refunds</h4>
            </div>
            <div class="modal-body">
                <form action="insertrefunds.php" method="post" class="form-horizontal" id="form_refund">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Total Amount Paid</label>

                                    <div class="col-md-6">
                                        <input type="hidden" class="form-control" name="bal" id="bal" value="">
                                        <input type="hidden" name="sub_total" id="sub_total">
                                        <input type="hidden" name="total_bal" id="total_bal">
                                        <label class="control-label" id="bal1"></label>


                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4" for="chkSplitPayments">Split Payments</label>

                                    <div class="col-md-6">
                                        <input type="checkbox" name="chkSplitPayments" id="chkSplitPayments" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row singleMode">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Refund Amount</label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="amount" id="amount" value="">
                                        <input type="hidden" id="invoice_id" name="invoice_id">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row singleMode">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Payment Mode</label>

                                    <div class="col-md-6">
                                        <select class="form-control select2me" name="paymentmode" id="paymentmode">
                                            <option>Cash</option>
                                            <option>Check</option>
                                            <option>Credit Card(Visa)</option>
                                            <option>Credit Card(Matercard)</option>
                                            <option>Credit Card(Amex)</option>
                                            <option>Credit Card(Discover)</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row multiMode" style="display: none">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Cash</label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="txtCash" id="txtCash" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row multiMode" style="display: none">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Check</label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="txtCheck" id="txtCheck" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row multiMode" style="display: none">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Credit Card(Visa)</label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="txtVisa" id="txtVisa" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row multiMode" style="display: none">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Credit Card(Matercard)</label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="txtMatercard" id="txtMatercard" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row multiMode" style="display: none">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Credit Card(Amex)</label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="txtAmex" id="txtAmex" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row multiMode" style="display: none">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Credit Card(Discover)</label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="txtDiscover" id="txtDiscover" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row multiMode" style="display: none">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Total</label>

                                    <div class="col-md-6">
                                        <label class="control-label" id="lblTotal"> </label>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Comments </label>

                                    <div class="col-md-6">
                                        <textarea class="form-control" name="comments" id="comments"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </form>
                <div style="text-align: right">
                    <strong>Note: This will cancel out all future payments as well</strong>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn blue" id="btn_refund">Save changes</button>
                <button type="button" class="btn default" data-dismiss="modal">Close</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<!-- BEGIN STYLE CUSTOMIZER -->

<!-- BEGIN PAGE HEADER-->
<div class="row">
    <div class="col-md-12">
        <!-- BEGIN PAGE TITLE & BREADCRUMB-->
        <div class="table-toolbar pull-right">
            <?php if($can_export) { ?>
                <a class="btn btn-lg green hidden-print"
                  href='invexport.php?start_date=<?php echo $dt1 . '&end_date=' . $dt2; ?>'">Export <i class="icon-print"></i>
                </a>
            <?php } ?>
        </div>

        <h3 class="page-title">
            View Invoices
        </h3>

        <div class="form-group">
            <label class="control-label col-md-3">Date Range</label>
            <div class="col-md-3">

                <input class="form-control form-control-inline input-medium date-picker" id="dt" size="16" type="text"
                       placeholder="Start Date" value="" style="cursor:pointer">

            </div>
            <div class="col-md-3">
                <input class="form-control form-control-inline input-medium date-picker" id="dt1" size="16" type="text"
                       placeholder="End Date" value="" style="cursor:pointer">

            </div>
        </div>
        <!-- END PAGE TITLE & BREADCRUMB-->
    </div>
</div>
<br>
<!-- END PAGE HEADER-->
<!-- BEGIN PAGE CONTENT-->
<div class="row">
    <div class="col-md-12">
        <!-- BEGIN EXAMPLE TABLE PORTLET-->
        <div class="portlet box blue">
            <div class="portlet-title">
                <div class="caption"><i class="icon-edit"></i>List of Invoices <?php if (isset($_GET['startdate'])) {
                        $dt1 = $_GET['startdate'];
                        $dt2 = $_GET['enddate'];
                        echo date('m/d/y', strtotime($dt1)) . ' TO ' . date('m/d/y', strtotime($dt2));
                    } else {
                        echo date('m/d/y H:i:s');
                    }?></div>

            </div>
            <div class="portlet-body">
                <div class="table-toolbar">
                    <div class="btn-group">
                        <a id="sample_editable_1_new1" href='addinvoice.php' class="btn green">
                            Add New <i class="icon-plus"></i>
                        </a>
                    </div>

                </div>
                <?php

                $sql = "select * from employee_master where emp_id = '" . $_SESSION["userid"] . "'";
                $query = mysql_query($sql);
                $result = mysql_fetch_array($query);
                $user_type = $result['emp_type'];
                $user_id = $result['emp_id'];
                $username1 = $result['emp_name'];
                // $sql_rights = "select * from user_module_relation where type_id = '".$user_type."' and user_id = '".$user_id."'";
                $sql_rights = "select * from user_module_relation where role_id = '" . $user_type . "'";
                $query_rights = mysql_query($sql_rights);
                $i = 1;
                while ($res_rights = mysql_fetch_array($query_rights)) {
                    $data['module' . $i] = $res_rights['module_id'];
                    $data1['rights' . $i] = $res_rights['access_rights'];
                    $i++;
                }


                ?>
                <table class="table table-striped table-hover table-bordered" id="sample_editable_1">
                    <thead>
                    <tr>
                        <th>Invoice #</th>
                        <th>Date</th>
                        <th>Store</th>
                        <th>Customer Name & Phone</th>
                        <th>Sale Person</th>
                        <th>Source</th>
                        <th>Gross</th>
                        <th>Down Payment</th>
                        <th>Collection</th>
                        <th>Collected</th>
                        <th>Refunds</th>
                        <th>Write Offs</th>
                        <th>Balance</th>
                        <?php
                        if ($data1['rights7'] == '1' || $data1['rights7'] == '2') {
                            ?>
                        <th>Refund</th>
                        <th>Write Off</th>
                        <?php } ?>
                        <?php if($can_delete) { ?>
                            <th>Delete</th>
                        <?php } ?>
                    </tr>
                    </thead>
                    <tbody>

                    <?php
                    if (isset($_GET['startdate'])) {

                        $dt1 = $_GET['startdate'];
                        $dt2 = $_GET['enddate'];
                        $start_dt = date('Y-m-d', strtotime($dt1));
                        $end_dt = date('Y-m-d', strtotime($dt2));
                    } else {
                        $start_dt = date('Y-m-d');
                        $end_dt = date('Y-m-d');
                    }
                    $st = $_SESSION["store_id"];
                    $sql = "select *, invoice_total.id as id1, invoice_total.store_id as st, invoice_total.contact_id as cid from invoice_total inner join contacts on invoice_total.contact_id = contacts.id inner join employee_master on invoice_total.sales_id = employee_master.emp_id where date(date) between '$start_dt' and '$end_dt' and invoice_total.store_id = '$st'";

                    $query = mysql_query($sql);
                    while ($row = mysql_fetch_array($query)) {

                        ?>
                        <tr>
                            <td>
                                <a href="viewinvoice.php?id=<?php echo $row['id1']; ?>">#<?php echo $row['invoice_num']; ?></a>
                            </td>
                            <td><?php echo date('m/d/y H:i:s', strtotime($row['date'])); ?></td>
                            <?php $sql1 = "select * from stores_master where store_id = " . $row['st'];
                            $query1 = mysql_query($sql1);
                            $rw1 = mysql_fetch_array($query1);
                            ?>
                            <td><?php echo $rw1['store_name']; ?></td>
                            <td>
                                <a href="editcontact.php?id=<?php echo $row['cid']; ?>"><?php echo $row['lname'] . ', ' . $row['fname'] . ' - ' . $row['phone']; ?></a>
                            </td>
                            <td><?php echo $row['emp_name']; // sales person ?></td>
                            <td><?php echo $row['source']; // source ?></td>
                            <td><?php echo FormatPayment($row['sub_total']); // gross ?></td>
                            <td><?php echo FormatPayment($row['downpayment']); // down payment ?></td>


                            <td><?php echo FormatPayment($row['sub_total'] - $row['downpayment']); // collection ?></td>
                            <?php $sql1 = "select sum(collection) as sum1 from payment_collection where invoice_id = " . $row['id1'] . " and is_dp = '0'";
                            $query1 = mysql_query($sql1);
                            $rw2 = mysql_fetch_array($query1);
                            ?>
                            <td><?php echo FormatPayment($rw2['sum1']); // collected ?></td>

                            <?php $sql1 = "select sum(amount) as amount1 from refunds where invoice_id = " . $row['id1'];
                            $query1 = mysql_query($sql1);
                            $rw3 = mysql_fetch_array($query1);
                            ?>
                            <td><?php echo FormatPayment($rw3['amount1']); // refunds ?></td>
                            <td class="writeoffs" data-id="<?php echo $row['id1']; ?>"><?php echo FormatPayment($row['writeoff']); // writeoff ?></td>
                            <td><?php echo FormatPayment($row['balance']); // balance ?></td>
                            <?php $remaining = $row['sub_total'] - $row['balance']; ?>
                            <?php
                            if ($data1['rights7'] == '1' || $data1['rights7'] == '2') {
                                ?>
                                <td><a href="#portlet-config1" class="refund" data-id="<?php echo $remaining; ?>"
                                       data-id1="<?php echo $row['id1']; ?>" data-id3="<?php echo $row['sub_total']; ?>"
                                       data-id4="<?php echo $row['balance']; ?>" data-toggle="modal">Refund</a>
                                </td>
                                <td><a class="write-off" data-id="<?php echo $row['id1']; ?>" href="javascript:;">Write Off</a>
                            <?php } ?>
                            <?php if($can_delete) { ?>
                                <td><a class="delete" data-id="<?php echo $row['id1']; ?>" href="javascript:;">Delete</a>
                                </td>
                            <?php } ?>
                        </tr>
                    <?php } ?>
                    <tr style="background-color:#FFCCCC">

                        <td># Total</td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>

                        <?php $query1 = mysql_query("SELECT SUM(sub_total) AS Totalcollection FROM invoice_total where date(date) between '$start_dt' and '$end_dt' and store_id = '$st'");

                        $row = mysql_fetch_array($query1);
                        {
                        ?>
                        <td><?php echo $row['Totalcollection'];
                            } ?></td>
                        <?php $query1 = mysql_query("SELECT SUM(downpayment) AS Totalcollection FROM invoice_total where date(date) between '$start_dt' and '$end_dt' and store_id = '$st'");
                        $row = mysql_fetch_array($query1);
                        {
                        ?>
                        <td><?php echo $row['Totalcollection'];
                            } ?></td>
                        <?php $query1 = mysql_query("SELECT SUM(sub_total-downpayment) AS Totalcollection FROM invoice_total where date(date) between '$start_dt' and '$end_dt' and store_id = '$st'");
                        $row = mysql_fetch_array($query1);
                        {
                        ?>
                        <td><?php echo $row['Totalcollection'];
                            } ?></td>
                        <?php $query1 = mysql_query("SELECT SUM(collection) AS Totalcollection FROM payment_collection inner join invoice_total on payment_collection.invoice_id = invoice_total.id where date(date) between '$start_dt' and '$end_dt' and store_id = '$st' and is_dp='0'");
                        $row = mysql_fetch_array($query1);
                        {
                        ?>
                        <td><?php echo $row['Totalcollection'];
                            } ?></td>
                        <?php $query1 = mysql_query("select sum(amount) as Totalcollection from refunds inner join invoice_total on refunds.invoice_id = invoice_total.id where date(date) between '$start_dt' and '$end_dt' and store_id = '$st'");
                        $row = mysql_fetch_array($query1);
                        {
                        ?>
                        <td><?php echo $row['Totalcollection'];
                            } ?></td>
                        <?php $query1 = mysql_query("SELECT SUM(writeoff) AS Totalcollection FROM invoice_total where date(date) between '$start_dt' and '$end_dt' and store_id = '$st'");
                        $row = mysql_fetch_array($query1);
                        {
                        ?>
                        <td id="writeOff-total"><?php echo $row['Totalcollection'];
                            } ?></td>
                        <?php $query1 = mysql_query("SELECT SUM(balance) AS Totalcollection FROM invoice_total where date(date) between '$start_dt' and '$end_dt' and store_id = '$st'");
                        $row = mysql_fetch_array($query1);
                        {
                        ?>
                        <td><?php echo $row['Totalcollection'];
                            } ?></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <!-- END EXAMPLE TABLE PORTLET-->
    </div>
</div>
<!-- END PAGE CONTENT -->
</div>
<!-- END PAGE -->
</div>
<!-- END CONTAINER -->
<!-- BEGIN FOOTER -->
<div class="footer">
    <div class="footer-inner">
        2014 &copy; POS System.
    </div>
    <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
    </div>
</div>
<!-- END FOOTER -->
<!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->

<!-- BEGIN CORE PLUGINS -->
<!--[if lt IE 9]>
<script src="assets/plugins/respond.min.js"></script>
<script src="assets/plugins/excanvas.min.js"></script>
<![endif]-->
<script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"
        type="text/javascript"></script>
<script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
<script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript"></script>
<!-- END CORE PLUGINS -->
<!-- BEGIN PAGE LEVEL PLUGINS -->
<script type="text/javascript" src="assets/plugins/fuelux/js/spinner.min.js"></script>
<script type="text/javascript" src="assets/plugins/ckeditor/ckeditor.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-fileupload/bootstrap-fileupload.js"></script>
<script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-wysihtml5/wysihtml5-0.3.0.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-wysihtml5/bootstrap-wysihtml5.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js"></script>
<script type="text/javascript" src="assets/plugins/clockface/js/clockface.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-daterangepicker/moment.min.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-timepicker/js/bootstrap-timepicker.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js"></script>
<script type="text/javascript" src="assets/plugins/jquery.input-ip-address-control-1.0.min.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.multi-select.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.quicksearch.js"></script>
<script src="assets/plugins/jquery.pwstrength.bootstrap/src/pwstrength.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap-switch/static/js/bootstrap-switch.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery-tags-input/jquery.tagsinput.min.js" type="text/javascript"></script>

<!-- <script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>-->
<script type="text/javascript" src="assets/plugins/data-tables/jquery.dataTables.js"></script>
<script type="text/javascript" src="assets/plugins/data-tables/DT_bootstrap.js"></script>
<script src="assets/scripts/form-components.js"></script>
<!-- END PAGE LEVEL PLUGINS -->
<!-- BEGIN PAGE LEVEL SCRIPTS -->
<script src="assets/scripts/app.js"></script>
<script src="assets/scripts/table-editable.js"></script>
<script>
    jQuery(document).ready(function () {
        App.init();
        TableEditable.init();
        FormComponents.init();
    });
</script>

<script>
    $('.refund').click(function () {

        var bal = $(this).data('id');
        var invoice_id = $(this).data('id1');
        var subtotal = $(this).data('id3');
        var total_bal = $(this).data('id4');
        $('#bal').val(bal);
        $('#bal1').html(bal);
        $('#invoice_id').val(invoice_id);
        $('#sub_total').val(subtotal);
        $('#total_bal').val(total_bal);
    });

    $('.write-off').click(function () {

        var r = confirm("Are you sure you want to write off the remaining payments?");
        if (r) {
            var invoice_id = $(this).data('id');
            $.ajax({
                type: 'POST',
                dataType: "json",
                data: {invoice_id: invoice_id},
                url: 'writeoff_inv.php',
                success: function (data) {
                    location.href = 'viewinv.php';
                    /*$('[data-id='+invoice_id+'].writeoffs').text(data.writeoff);

                    var totalWriteOff = parseFloat($('#writeOff-total').text().replace("$","").replace(" ", ""));
                    if(isNaN(totalWriteOff)) totalWriteOff = 0;
                    $('#writeOff-total').text(totalWriteOff + parseFloat(data.writeoff));*/
                },
                error: function (e,r) {
                }
            });
        } else {
            event.stopPropagation();
        }
    });

    $('.delete').click(function () {

        var r = confirm("Are you sure you want to delete this record?");
        if (r) {
            var cal_id = $(this).data('id');
            $.ajax({
                type: 'POST',
                dataType: "json",
                data: {cal_id: cal_id},
                url: 'delete_inv.php',
                success: function (data) {
                    location.href = 'viewinv.php';
                },
                error: function (e,r) {
                }
            });
        } else {
            event.stopPropagation();
        }
    });
</script>
<script>
    $('#dt').datepicker({
        startDate: "2014-01-01"
    });

    $('#dt1').datepicker({
        startDate: "2014-01-01"
    });

    $('#dt1').change(function () {
        var a = $('#dt').val();
        var b = $('#dt1').val();
        location.href = 'viewinv.php?startdate=' + a + '&enddate=' + b;
        //$('#sample_editable_1_filter .input-medium').val(a);
    });
</script>
<script>
    $('#btn_refund').click(function () {
        var balance_due = parseFloat($('#bal').val());
        var splitMode = $('#chkSplitPayments')[0].checked;
        var refund_amount = 0;

        if (splitMode) {
            $(".multiMode input").each(function () {
                var val = parseFloat($(this).val().trim());
                refund_amount += isNaN(val) ? 0 : val;
            });
        } else {
            var val = $('#amount').val().trim();
            refund_amount = isNaN(val) ? 0 : val;
        }

        if (refund_amount == 0) {
            alert('Please specify a refund amount');
            return;
        }

        if (refund_amount > balance_due) {
            alert("Refund amount cannot be greater than balance due");
            return;
        }

        $('#form_refund').submit();
    });

    $("#chkSplitPayments").change(function(){
        var splitMode = $('#chkSplitPayments')[0].checked;

        $(".singleMode").slideToggle();
        $(".multiMode").slideToggle();
    });

    $(".multiMode").on("change, blur, keydown, keyup", "input", function (e) {
        var total = 0;
        $(".multiMode input").each(function(){
            var val = parseFloat($(this).val().trim());
            total += isNaN(val) ? 0 : val;
        });

        $("#lblTotal").text(total);
    });
</script>

</body>
<!-- END BODY -->
</html>