<?php
require_once 'includes/helpers.php';
$authentication = new Authentication();
$authentication->CheckAuthentication();
SetTimeZone();

$role = $_SESSION["role"];
$can_export = $authentication->CanExport($role , Modules::LEADS);

?>
<!DOCTYPE html>
<!-- 
Template Name: Metronic - Responsive Admin Dashboard Template build with Twitter Bootstrap 3.0
Version: 1.5
Author: KeenThemes
Website: http://www.keenthemes.com/
Purchase: http://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469?ref=keenthemes
-->
<!--[if IE 8]> <html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!--> <html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
   <meta charset="utf-8" />
   <title>View Leads Details</title>
   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <meta content="width=device-width, initial-scale=1.0" name="viewport" />
   <meta content="" name="description" />
   <meta content="" name="author" />
   <meta name="MobileOptimized" content="320">
   <!-- BEGIN GLOBAL MANDATORY STYLES -->          
   <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
   <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
   <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
   <!-- END GLOBAL MANDATORY STYLES -->
   <!-- BEGIN PAGE LEVEL STYLES -->
   <link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css" />
   <link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css" />
   <!-- END PAGE LEVEL STYLES -->
   <!-- BEGIN THEME STYLES --> 
   <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
   <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
   <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
   <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
   <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
   <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
   <!-- END THEME STYLES -->
   <link rel="shortcut icon" href="favicon.ico" />
</head>
<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
   <!-- BEGIN HEADER -->   
   <div class="header navbar navbar-inverse navbar-fixed-top">
      <!-- BEGIN TOP NAVIGATION BAR -->
      <div class="header-inner">
         <!-- BEGIN LOGO -->  
         <a class="navbar-brand" href="index.php">
        POS SYSTEM
         </a>
         <!-- END LOGO -->
         <!-- BEGIN RESPONSIVE MENU TOGGLER --> 
         <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
         <img src="assets/img/menu-toggler.png" alt="" />
         </a> 
         <!-- END RESPONSIVE MENU TOGGLER -->
         <!-- BEGIN TOP NAVIGATION MENU -->
		 <ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
               <a href="index.php" class="dropdown-toggle" >
               Logout
               </a>
</li>
</ul>
         </div>
		 </div>
   <!-- END HEADER -->
   <div class="clearfix"></div>
   <!-- BEGIN CONTAINER -->
   <div class="page-container">
      <!-- BEGIN SIDEBAR -->
       <?php include('menu.php'); ?>
      <!-- END SIDEBAR -->
      <!-- BEGIN PAGE -->
      <div class="page-content">
         <!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->               
        
         <!-- /.modal -->
         <!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
         <!-- BEGIN STYLE CUSTOMIZER -->
                     
         <!-- BEGIN PAGE HEADER-->
         <div class="row">
            <div class="col-md-12">
               <!-- BEGIN PAGE TITLE & BREADCRUMB-->
               <h3 class="page-title">
                  View Leads Details
               </h3>
               
               <!-- END PAGE TITLE & BREADCRUMB-->
            </div>
         </div>
         <!-- END PAGE HEADER-->
         <!-- BEGIN PAGE CONTENT-->
         <div class="row">
            <div class="col-md-12">
               <!-- BEGIN EXAMPLE TABLE PORTLET-->
               <div class="portlet box blue">
                  <div class="portlet-title">
                     <div class="caption"><i class="icon-edit"></i>Lead Info</div>
                     
                  </div>
                  <div class="portlet-body">
                     <div class="table-toolbar">
                        <div class="btn-group">
                           <a id="sample_editable_1_new1" href='addlead.php' class="btn green">
                           Add New <i class="icon-plus"></i>
                           </a> &nbsp;
						   <button id="sample_editable_1_new2" class="btn blue btnadd" >
                           Delete <i class="icon-minus"></i>
                           </button>
                        </div>
                        <div class="pull-right">
						   <li class="btn-group">

                               <?php if($can_export) { ?>
                                   <button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true">
                                       <span>Export</span> <i class="icon-angle-down"></i>
                                   </button>
                               <?php } ?>

                     <ul class="dropdown-menu pull-right" role="menu">
                        <li><a href="#">CSV</a></li>
                        
                     </ul>
                  </li></div>
                     </div>
                     <table class="table table-striped table-hover table-bordered" id="sample_editable_1">
                        <thead>
                           <tr>
						   	<th></th>
                              <th>Name</th>
                              <th>Email</th>
                              <th>Address</th>
                              <th>Phone</th>
							  <th>Cell Phone</th>
							  <th>DOB</th>
							  <th>Source</th>
							  <th>Status</th>
							  <th>Created Date</th>
                              <!--<th>Edit</th>
                              <th>Delete</th>-->
                           </tr>
                        </thead>
                        <tbody>
                            <?php
                                $sql_select = mysql_query("SELECT * from leads order by id desc");
                                while($row = mysql_fetch_array($sql_select))
                                {?>
 
                               <tr >
                               <td><input type="checkbox" class="form-control check" name="check[]" id="check" value="<?php echo $row['id'];?>"></td>
                                  <td><a href="editlead.php?id=<?php echo $row['id'];?>" ><?php echo $row['fname'].' '.$row['lname']; ?></a></td>
                                  <td><a href="mailto:<?php echo $row['email'];?>" ><?php echo $row['email']; ?></a></td>
                                  <td><?php echo $row['address']." ".$row['city']." ".$row['state']." ".$row['zip']; ?></td>

                                  <td><?php  echo $row['phone'];?></td>
                                  <td><?php  echo $row['cellphone'];?></td>
                                  <td><?php  echo $row['dob'];?></td>
                                  <td><?php  echo $row['source'];?></td>
                                  <td><?php  echo $row['status'];?></td>
                                  <td><?php  echo $row['created_date'];?></td>
                                  <!--<td><a href="editlead.php?id=<?php // echo $row['id'];?>" >Edit</a></td>
                                  <td><a class="delete" href="javascript:;">Delete</a></td>-->
                               </tr>
                            <?php } ?>
                        </tbody>
                     </table>
                  </div>
               </div>
               <!-- END EXAMPLE TABLE PORTLET-->
            </div>
         </div>
         <!-- END PAGE CONTENT -->
      </div>
      <!-- END PAGE -->
   </div>
   <!-- END CONTAINER -->
   <!-- BEGIN FOOTER -->
   <div class="footer">
      <div class="footer-inner">
         2014 &copy; POS System.
      </div>
      <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
      </div>
   </div>
   <!-- END FOOTER -->
   <!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->

   <!-- BEGIN CORE PLUGINS -->   
   <!--[if lt IE 9]>
   <script src="assets/plugins/respond.min.js"></script>
   <script src="assets/plugins/excanvas.min.js"></script> 
   <![endif]-->   
   <script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
   <script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>    
   <script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
   <script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js" type="text/javascript" ></script>
   <script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
   <script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>  
   <script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
   <script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript" ></script>
   <!-- END CORE PLUGINS -->
   <!-- BEGIN PAGE LEVEL PLUGINS -->
   <script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>
   <script type="text/javascript" src="assets/plugins/data-tables/jquery.dataTables.js"></script>
   <script type="text/javascript" src="assets/plugins/data-tables/DT_bootstrap.js"></script>
   <!-- END PAGE LEVEL PLUGINS -->
   <!-- BEGIN PAGE LEVEL SCRIPTS -->
   <script src="assets/scripts/app.js"></script>
   <script src="assets/scripts/table-editable.js"></script>    
   <script>
      jQuery(document).ready(function() {       
         App.init();
         TableEditable.init();
      });
   </script>
  <script>
   $('.btnadd').click(function(){
  var count = $(".portlet-body").find("input.check:checked").length;
  
  if(count == '0')
  {
  alert(count);
  }
  else
  {
  
            $("input.check:checked").each(function(){

var id = $(this).val();
 var dataString1 = 'del='+id;
 $.ajax({
    			type:'POST',
    			data:dataString1,
    			url:'dellead.php',
    			success:function(data) {
				
      			  //alert(count);
				   if(count == '1')
				   {
				   location.reload();
				   }
				  count--;
				 
				}
  			});
 });
 //location.reload();
 }
			});
  </script>
   
</body>
<!-- END BODY -->
</html>