<?php
require_once 'includes/helpers.php';
$authentication = new Authentication();
$authentication->CheckAuthentication();

$role = $_SESSION["role"];
if(!$authentication->HasAccess($role , Modules::DOSE_ORDERS) &&
   !$authentication->HasAccess($role , Modules::PHARMACY))
    $authentication->DenyAccess();

$validation = new Validation();

SetTimeZone();

$prescription_id = $validation->GetNumericParameter('prescription_id');
$doctor_id = $validation->GetNumericParameter("doctor_id");
$pharmacy_id = $validation->GetNumericParameter("pharmacy_id");
$prescription_date = date('Y-m-d H:i:s');
$status = $validation->GetNumericParameterOrDefault('status_id', 'null');
$notes = empty($_POST["notes"]) ? "" : $validation->MakeSafe($_POST["notes"]);

$sql = "INSERT INTO prescriptions (id, doctor_id, pharmacy_id, status_id, notes, prescription_date)
        VALUES ($prescription_id, $doctor_id, $pharmacy_id, $status, '$notes', '$prescription_date')";
mysql_query($sql);

$i = 1;
while (isset($_POST['item' . $i])) {
    $item = $validation->GetNumericParameter('item' . $i);
    $quantity = $validation->GetNumericParameter('quantity' . $i);
    $unitCost = empty($_POST['unitcost' . $i]) ? "null" : $validation->GetNumericParameter('unitcost' . $i);

    insertPrescriptionItem($prescription_id, $item, $quantity, $unitCost);

    $i++;
}

function insertPrescriptionItem($prescription_id, $item, $quantity, $unitCost)
{
    $sql = "INSERT INTO prescription_items (prescription_id, item_id, qty, unit_cost)
            VALUES ($prescription_id, $item, $quantity, $unitCost)";
    mysql_query($sql);
}

header('Location: dose_active_orders.php?doctorlistview=all');