<?php
require_once __DIR__ . DIRECTORY_SEPARATOR . "includes" . DIRECTORY_SEPARATOR . "helpers.php";
require_once __DIR__ . DIRECTORY_SEPARATOR . "classes" . DIRECTORY_SEPARATOR . "ModuleHistoryController.php";
require_once __DIR__ . DIRECTORY_SEPARATOR . "classes" . DIRECTORY_SEPARATOR . "DoseController.php";

$authentication = new Authentication();
$authentication->CheckAuthentication();

SetTimeZone();

global $DoseController;
$ctrl = new ModuleHistoryController();

$id = $_SESSION["userid"];

?>
<!DOCTYPE html>
<!-- 
Template Name: Metronic - Responsive Admin Dashboard Template build with Twitter Bootstrap 3.0
Version: 1.5
Author: KeenThemes
Website: http://www.keenthemes.com/
Purchase: http://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469?ref=keenthemes
-->
<!--[if IE 8]> <html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!--> <html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
   <meta charset="utf-8" />
   <title>Recent</title>
   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <meta content="width=device-width, initial-scale=1.0" name="viewport" />
   <meta content="" name="description" />
   <meta content="" name="author" />
   <meta name="MobileOptimized" content="320">
   <!-- BEGIN GLOBAL MANDATORY STYLES -->          
   <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
   <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
   <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
   <!-- END GLOBAL MANDATORY STYLES -->
   <!-- BEGIN PAGE LEVEL PLUGIN STYLES --> 
   <link href="assets/plugins/gritter/css/jquery.gritter.css" rel="stylesheet" type="text/css"/>
   <link href="assets/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css" rel="stylesheet" type="text/css" />
   <link href="assets/plugins/fullcalendar/fullcalendar/fullcalendar.css" rel="stylesheet" type="text/css"/>
   <link href="assets/plugins/jqvmap/jqvmap/jqvmap.css" rel="stylesheet" type="text/css"/>
   <link href="assets/plugins/jquery-easy-pie-chart/jquery.easy-pie-chart.css" rel="stylesheet" type="text/css"/>
   <!-- END PAGE LEVEL PLUGIN STYLES -->
   <!-- BEGIN THEME STYLES --> 
   <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
   <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
   <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
   <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
   <link href="assets/css/pages/tasks.css" rel="stylesheet" type="text/css"/>
   <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
   <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
   
     <link rel="stylesheet" type="text/css" href="assets/plugins/bootstrap-datepicker/css/datepicker.css" />
   <link rel="stylesheet" type="text/css" href="assets/plugins/bootstrap-timepicker/compiled/timepicker.css" />
   <link rel="stylesheet" type="text/css" href="assets/plugins/bootstrap-colorpicker/css/colorpicker.css" />
   <link rel="stylesheet" type="text/css" href="assets/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css" />
   <link rel="stylesheet" type="text/css" href="assets/plugins/bootstrap-datetimepicker/css/datetimepicker.css" 
   <!-- END THEME STYLES -->
   <link rel="shortcut icon" href="favicon.ico" />

</head>
<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
   <!-- BEGIN HEADER -->   
   <div class="header navbar navbar-inverse navbar-fixed-top">
      <!-- BEGIN TOP NAVIGATION BAR -->
      <div class="header-inner">
         <!-- BEGIN LOGO -->  
         <a class="navbar-brand" href="#">
         POS SYSTEM
         </a>
         <!-- END LOGO -->
         <!-- BEGIN RESPONSIVE MENU TOGGLER --> 
         <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
         <img src="assets/img/menu-toggler.png" alt="" />
         </a> 
         <!-- END RESPONSIVE MENU TOGGLER -->
         <!-- BEGIN TOP NAVIGATION MENU -->
         <!-- END TOP NAVIGATION MENU -->
		 
<ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
               <a href="index.php" class="dropdown-toggle">
               Logout
               </a>
</li>
</ul>
      </div>
      <!-- END TOP NAVIGATION BAR -->
   </div>
   <!-- END HEADER -->
   <div class="clearfix"></div>
   <!-- BEGIN CONTAINER -->
   <div class="page-container">
      <!-- BEGIN SIDEBAR -->
      <?php include('menu.php'); ?>
      <!-- END SIDEBAR -->
      <!-- BEGIN PAGE -->
      <div class="page-content">
         <!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->               
         <div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog">
               <div class="modal-content">
                  <div class="modal-header">
                     <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                     <h4 class="modal-title">Modal title</h4>
                  </div>
                  <div class="modal-body">
                     Widget settings form goes here
                  </div>
                  <div class="modal-footer">
                     <button type="button" class="btn blue">Save changes</button>
                     <button type="button" class="btn default" data-dismiss="modal">Close</button>
                  </div>
               </div>
               <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
         </div>
         <!-- /.modal -->
         <!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
         <!-- BEGIN STYLE CUSTOMIZER -->
         <!-- END BEGIN STYLE CUSTOMIZER -->
         <!-- BEGIN PAGE HEADER-->
         <div class="row">
            <div class="col-md-12">
               <!-- BEGIN PAGE TITLE & BREADCRUMB-->
               <h3 class="page-title">
                   Recent
               </h3>
               
               <!-- END PAGE TITLE & BREADCRUMB-->
            </div>
         </div>
         <!-- END PAGE HEADER-->


         <!-- dashboard Contacts -->
         <div class="row">
             <div class="col-md-6">
                 <div class="portlet box blue">
                     <div class="portlet-title" style="margin-top: 20px;">
                         <div class="caption"><i class="icon-edit"></i>Latest Contacts</div>
                     </div>
                     <div class="portlet-body">
                         <table class="table table-striped table-hover table-bordered" id="sample_editable_1">
                             <thead>
                             <tr>
                                 <th>Name</th>
                                 <th>Email</th>
                                 <th>Phone</th>
                                 <th>Created Date</th>
                             </tr>
                             </thead>
                             <tbody>
                             <?php
                             $rows = $ctrl->ListModuleHistory(Modules::CONTACTS, "`id`,`fname`,`lname`,`email`,`phone`,`created_date`");
                             foreach($rows as $row){
                                 ?>
                                 <tr>
                                     <td><a href="editcontact.php?id=<?php echo $row['id']; ?>"><?php echo $row['lname'] . ', ' . $row['fname']; ?></a></td>
                                     <td><?php echo $row['email']?></td>
                                     <td><?php echo $row['phone']?></td>
                                     <td><?php echo $row['created_date']?></td>
                                 </tr>
                             <?php } ?>

                             </tbody>
                         </table>
                     </div>
                 </div>
             </div>

             <!-- Dashboard Orders -->
            <div class="col-md-6">
                <div class="portlet box blue">
                <div class="portlet-title" style="margin-top: 20px;">
                    <div class="caption"><i class="icon-edit"></i>Latest Orders</div>
                </div>
                <div class="portlet-body">
                    <table class="table table-striped table-hover table-bordered" id="sample_editable_1">
                        <thead>
                        <tr>
                            <th>Last Update</th>
                            <th>Customer Name & phone</th>
                            <th>Product Name</th>
                            <th>Status</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        $rows = $ctrl->ListModuleHistory(Modules::DOSE_ORDERS, "order_id, `contact_id`, `fname`, `lname`, `phone`, `modified_date`, `product`, `status`");
                        foreach($rows as $row){
                        ?>
                            <tr>
                                <td><?php echo $row['modified_date']==null ? "" : date('m/d/Y h:iA', strtotime($row['modified_date'])); ?></td>
                                <td>
                                    <a href="editcontact.php?id=<?php echo $row['contact_id']; ?>"><?php echo $row['lname'] . ', ' . $row['fname'] . '<br />' . $row['phone']; ?></a>
                                </td>
                                <td><?php echo $row['product']; ?></td>
                                <td><?php echo $DoseController->Statuses[$row['status']]; ?></td>
                            </tr>
                            <?php } ?>
                            </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

         <div class="row">
             <!-- Dashboard rooms -->
             <div class="col-md-6">
                 <div class="portlet box blue">
                     <div class="portlet-title" >
                         <div class="caption"><i class="icon-edit"></i>Latest Rooms</div>
                     </div>
                     <div class="portlet-body">
                         <table class="table table-striped table-hover table-bordered" id="sample_editable_1">
                             <thead>
                             <tr>
                                 <th>Room Number</th>
                                 <th>Room Name</th>
                                 <th>Status</th>
                                 <th>Patient Name</th>
                             </tr>
                             </thead>
                             <tbody>
                             <?php
                             $rows = $ctrl->ListModuleHistory(Modules::ROOMS, "id,
room_name,
room_number,
status_name,
status_color,
patient_id,
patient_fname,
patient_lname");
                             foreach($rows as $row){
                                 ?>
                                 <tr>
                                     <td><a href="viewinvoice.php?id=<?php echo $row['id']; ?>"><?php echo $row['room_number']; ?></a></td>
                                     <td><?php echo $row['room_name'];?></td>
                                     <td><?php echo $row['status_name']; ?></td>
                                     <td>
                                         <a href="editcontact.php?id=<?php echo $row['patient_id']; ?>"><?php echo $row['patient_lname'] . ', ' . $row['patient_fname']; ?></a>
                                     </td>
                                 </tr>
                             <?php } ?>
                             </tbody>

                         </table>
                     </div>
                 </div>
             </div>

             <!-- Dashboard Invoices -->
             <div class="col-md-6">
                 <div class="portlet box blue">
                     <div class="portlet-title">
                         <div class="caption"><i class="icon-edit"></i>Latest Invoices</div>
                     </div>
                     <div class="portlet-body">
                         <table class="table table-striped table-hover table-bordered" id="sample_editable_1">
                             <thead>
                             <tr>
                                 <th>Invoice #</th>
                                 <th>Date</th>
                                 <th>Customer Name & Phone</th>
                                 <th>Collection</th>
                                 <th>Balance</th>
                             </tr>
                             </thead>
                             <tbody>
                             <?php

                             $rows = $ctrl->ListModuleHistory(Modules::INVOICES, "`id`, `invoice_num`, `fname`,`lname`,`phone`,`date`, `downpayment`, `balance`, `contact_id`");
                             foreach($rows as $row){
                                 ?>
                                 <td>
                                     <a href="viewinvoice.php?id=<?php echo $row['id']; ?>">#<?php echo $row['invoice_num']; ?></a>
                                 </td>
                                 <td><?php echo date('m/d/y H:i:s', strtotime($row['date'])); ?></td>
                                 <td>
                                     <a href="editcontact.php?id=<?php echo $row['contact_id']; ?>"><?php echo $row['lname'] . ', ' . $row['fname']. '<br />' . $row['phone']; ?></a>
                                 </td>
                                 <td><?php echo FormatPayment($row['downpayment']); ?></td>
                                 <td><?php echo FormatPayment($row['balance']); ?></td>
                                 </tr>
                             <?php } ?>
                             </tbody>
                         </table>
                     </div>
                 </div>
             </div>

    </div>



      <!-- END DASHBOARD -->
   <!-- END CONTAINER -->
   <!-- BEGIN FOOTER -->
   <div class="footer">
      <div class="footer-inner">
         2013 &copy; Metronic by keenthemes.
      </div>
      <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
      </div>
   </div>
   <!-- END FOOTER -->
   <!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->
   <!-- BEGIN CORE PLUGINS -->   
   <!--[if lt IE 9]>
   <script src="assets/plugins/respond.min.js"></script>
   <script src="assets/plugins/excanvas.min.js"></script> 
   <![endif]-->   
   <script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
   <script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>   
   <!-- IMPORTANT! Load jquery-ui-1.10.3.custom.min.js before bootstrap.min.js to fix bootstrap tooltip conflict with jquery ui tooltip -->
   <script src="assets/plugins/jquery-ui/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
   <script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
   <script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js" type="text/javascript" ></script>
   <script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
   <script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>  
   <script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
   <script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript" ></script>
   <!-- END CORE PLUGINS -->
   <!-- BEGIN PAGE LEVEL PLUGINS -->
   <script src="assets/plugins/jqvmap/jqvmap/jquery.vmap.js" type="text/javascript"></script>   
   
   <script src="assets/plugins/flot/jquery.flot.js" type="text/javascript"></script>
   <script src="assets/plugins/flot/jquery.flot.resize.js" type="text/javascript"></script>
   <script src="assets/plugins/jquery.pulsate.min.js" type="text/javascript"></script>
   <script src="assets/plugins/bootstrap-daterangepicker/moment.min.js" type="text/javascript"></script>
   <script src="assets/plugins/bootstrap-daterangepicker/daterangepicker.js" type="text/javascript"></script>     
  
   
   <!-- IMPORTANT! fullcalendar depends on jquery-ui-1.10.3.custom.min.js for drag & drop support -->
   <script src="assets/plugins/fullcalendar/fullcalendar/fullcalendar.min.js" type="text/javascript"></script>
   <script src="assets/plugins/jquery-easy-pie-chart/jquery.easy-pie-chart.js" type="text/javascript"></script>
   <script src="assets/plugins/jquery.sparkline.min.js" type="text/javascript"></script>  
   
    <script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>

      <script type="text/javascript" src="assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
   <script type="text/javascript" src="assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js"></script>
   <script type="text/javascript" src="assets/plugins/clockface/js/clockface.js"></script>
   <script type="text/javascript" src="assets/plugins/bootstrap-daterangepicker/moment.min.js"></script>
   <script type="text/javascript" src="assets/plugins/bootstrap-daterangepicker/daterangepicker.js"></script> 
   <script type="text/javascript" src="assets/plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.js"></script>  
   <script type="text/javascript" src="assets/plugins/bootstrap-timepicker/js/bootstrap-timepicker.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js"></script> 
 <script type="text/javascript" src="assets/plugins/jquery.input-ip-address-control-1.0.min.js"></script>
 <script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.multi-select.js"></script>
   <script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.quicksearch.js"></script>   
   <script src="assets/plugins/jquery.pwstrength.bootstrap/src/pwstrength.js" type="text/javascript" ></script>
   <script src="assets/plugins/bootstrap-switch/static/js/bootstrap-switch.min.js" type="text/javascript" ></script>
   <script src="assets/plugins/jquery-tags-input/jquery.tagsinput.min.js" type="text/javascript" ></script>

   <!-- END PAGE LEVEL PLUGINS -->
   <!-- BEGIN PAGE LEVEL SCRIPTS -->
   <script src="assets/scripts/app.js" type="text/javascript"></script>
   <script src="assets/scripts/index.js" type="text/javascript"></script>
   <script src="assets/scripts/tasks.js" type="text/javascript"></script>   
   <script src="assets/scripts/form-components.js"></script>      
   <!-- END PAGE LEVEL SCRIPTS -->  
   <script>
      jQuery(document).ready(function() {    
         App.init(); // initlayout and core plugins
         Index.init();
         //Index.initJQVMAP(); // init index page's custom scripts
         Index.initCalendar(); // init index page's custom scripts
         Index.initCharts(); // init index page's custom scripts
         Index.initChat();
         Index.initMiniCharts();
         Index.initDashboardDaterange();
         Index.initIntro();
         Tasks.initDashboardWidget();
		 FormComponents.init();
		 
		 
		  $('#datepick').on('changeDate', function(ev){
		  var val1 = $('#datepick').val();
        //alert(val1);
	 $('#display').html('<div class="alert alert-success">Please wait...</div>');	
  
   var dataString = 'date1='+val1;
  $.ajax({
    type:'POST',
    data:dataString,
    url:'jsondecode.php',
    success:function(data) {
      $('#display').html('<label  class="">Select Time</label>'+data);
	  
    }
  });
		
    });

      });
   </script>
   <script type="text/javascript">
<!--
var count = 0
function countCheckedBoxes(elem) {
     if(elem.checked)  {
          if(count <= 3)  {
              count = count + 1;
              if(count > 3)  {
                   count = 3;
                   elem.checked = false;
				   alert('Only three are allowed');
              }
          }
     } else {
         count = count - 1;
         if(count < 0)  count = 0;
     }
}

//-->
</script>
   <!-- END JAVASCRIPTS -->
</body>
<!-- END BODY -->
</html>