<?php
require_once 'includes/helpers.php';
SetTimeZone();
$authentication = new Authentication();
$authentication->CheckAuthentication();
$validation = new validation();

$role = $_SESSION["role"];
$can_export = $authentication->CanExport($role , Modules::INVENTORY )
?>
<!DOCTYPE html>
<!-- 
Template Name: Metronic - Responsive Admin Dashboard Template build with Twitter Bootstrap 3.0
Version: 1.5
Author: KeenThemes
Website: http://www.keenthemes.com/
Purchase: http://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469?ref=keenthemes
-->
<!--[if IE 8]> <html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!--> <html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
   <meta charset="utf-8" />
   <title>Summary Inventory</title>
   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <meta content="width=device-width, initial-scale=1.0" name="viewport" />
   <meta content="" name="description" />
   <meta content="" name="author" />
   <meta name="MobileOptimized" content="320">
   <!-- BEGIN GLOBAL MANDATORY STYLES -->          
   <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
   <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
   <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
   <!-- END GLOBAL MANDATORY STYLES -->
   <!-- BEGIN PAGE LEVEL STYLES -->
   <link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css" />
   <link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css" />
   <!-- END PAGE LEVEL STYLES -->
   <!-- BEGIN THEME STYLES --> 
   <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
   <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
   <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
   <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
   <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
   <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
   <!-- END THEME STYLES -->
   <link rel="shortcut icon" href="favicon.ico" />
</head>
<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
   <!-- BEGIN HEADER -->   
   <div class="header navbar navbar-inverse navbar-fixed-top">
      <!-- BEGIN TOP NAVIGATION BAR -->
      <div class="header-inner">
         <!-- BEGIN LOGO -->  
         <a class="navbar-brand" href="index.html">
        POS SYSTEM
         </a>
         <!-- END LOGO -->
         <!-- BEGIN RESPONSIVE MENU TOGGLER --> 
         <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
         <img src="assets/img/menu-toggler.png" alt="" />
         </a> 
         <!-- END RESPONSIVE MENU TOGGLER -->
         <!-- BEGIN TOP NAVIGATION MENU -->
		 <ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
               <a href="index.php" class="dropdown-toggle" >
               Logout
               </a>
</li>
</ul>
         </div>
		 </div>
   <!-- END HEADER -->
   <div class="clearfix"></div>
   <!-- BEGIN CONTAINER -->
   <div class="page-container">
      <!-- BEGIN SIDEBAR -->
       <?php include('menu.php'); ?>
      <!-- END SIDEBAR -->
      <!-- BEGIN PAGE -->
      <div class="page-content">
         <!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->               
         <div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog">
               <div class="modal-content">
                  <div class="modal-header">
                     <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                     <h4 class="modal-title">Add Count</h4>
                  </div>
                  <div class="modal-body">
                     <input type="text" id="add_count" value="" class="icon medium" placeholder="Add Count" />
					  <input type="hidden" id="edit_id" value="" class="icon medium" placeholder="Add Count" />
					
					 
                  </div>
                  <div class="modal-footer">
                     <button type="button" class="btn blue" id="btn_add_count">Save changes</button>
                     <button type="button" class="btn default" data-dismiss="modal">Close</button>
                  </div>
               </div>
               <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
         </div>

         <!-- /.modal -->
         <!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
         <!-- BEGIN STYLE CUSTOMIZER -->
                     
         <!-- BEGIN PAGE HEADER-->
         <div class="row hidden-print">
            <div class="col-md-12">

            
			<div class="table-toolbar pull-right">
			<?php
			if(isset($_GET['startdate'])) {
                $startofMonth = strtotime($_GET['startdate'] . '00:00:00');
                $endofMonth = strtotime($_GET['enddate'] . '23:59:59');
			} else { 
				$startofMonth = strtotime("first day of ".date('F')." ".date('Y'));
				$endofMonth  = strtotime("last day of ".date('F')." ".date('Y'));
			}

            $startofMonth = date('y-m-d 00:00:00', $startofMonth);
            $endofMonth = date('y-m-d 23:59:59', $endofMonth);

			$a = 0;
			$b = 50;
			$pagenum = 1;
			$store_id = $_SESSION["store_id"];

			$sql = "SELECT 
				count(*) as c 
			FROM inventory as inv inner join inventory_count as inc on inc.item_id = inv.id
			WHERE inc.modified_date Between '$startofMonth' AND '$endofMonth' and inc.store_id = '$store_id'";
				
			$sql_select1 = mysql_query($sql);
			
			$num = mysql_fetch_array($sql_select1);
			$num = $num['c'];

			if(isset($_GET['from']) && isset($_GET['to']))
			{
				$a = $_GET['from'];
				$b = $_GET['to'];
                $validation->ValidateDateParameter($a);
                $validation->ValidateDateParameter($b);
				$pagenum = $_GET['page'];
			}
			?>
				  <input type="hidden" id="hidden_num" value="<?php echo $num; ?>">
				  <input type="hidden" id="pagenum" value="<?php echo $pagenum; ?>">

            <?php if($can_export){?>
				<a class="btn btn-lg green hidden-print" href="summaryInventoryExport.php?start_date=<?php echo $startofMonth; ?>&end_date=<?php echo $endofMonth; ?>">Export <i class="icon-print"></i></a>
            <?php }?>
			</div>
                <h3 class="page-title" >
                    Summary Inventory
                </h3>
			<div class="form-group">
                <label class="control-label col-md-3">Date Range</label>
				<div class="col-md-3">
				 <input class="form-control form-control-inline input-medium date-picker" id="dt" size="16" type="text" placeholder="Start Date" value="<?php if(isset($_GET['startdate'])) echo $_GET['startdate']; ?>">
				 
				</div>
				<div class="col-md-3">
					 <input class="form-control form-control-inline input-medium date-picker" id="dt1" size="16" type="text" placeholder="End Date" value="<?php if(isset($_GET['enddate'])) echo $_GET['enddate']; ?>">
					 
				  </div>
			</div>
			
			
			</div>
         </div>
         <!-- END PAGE HEADER-->
         <!-- BEGIN PAGE CONTENT-->
         <div class="row">
            <div class="col-md-12">
               <!-- BEGIN EXAMPLE TABLE PORTLET-->

               <div class="portlet box blue">
                  <div class="portlet-title" style="margin-top: 20px;">
                     <div class="caption"><i class="icon-edit"></i>Inventory Details</div>
                     
                  </div>
                  <div class="portlet-body">
                     <div class="table-toolbar">
                        <div class="btn-group">
                           <a id="sample_editable_1_new1" href='inventory.php' class="btn green">
                           Add New <i class="icon-plus"></i>
                           </a>
                        </div>
                        <div class="btn-group pull-right">
                           
                           
                        </div>
                     </div>
                     <table class="table table-striped table-hover table-bordered" id="sample_editable_1">
                        <thead>
                           <tr>
                              <th>Item Name</th>
                              <th>Description</th>
                              <th>Sold</th>
                              <!--<th>Returned</th>
							  <th>On Hand</th>
                              <th>Add</th> -->
                              
                           </tr>
                        </thead>
                        <tbody>
						<?php
						$sql = "SELECT inv.*, sold, inc.return, inc.count from inventory as inv inner join inventory_count as inc on inc.item_id = inv.id
						WHERE inc.modified_date Between '$startofMonth' AND '$endofMonth' and inc.store_id = '$store_id'
						LIMIT $a, $b";
						
						$sql_select = mysql_query($sql);
						
						while($row = mysql_fetch_array($sql_select))
						{ ?>
                           <tr >
                              <td><a href="edit_inventory.php?id=<?php echo $row['id']; ?>"><?php echo $row['name']; ?></a></td>
                              <td><?php echo $row['description']; ?></td>
							  <td class="center"><?php  echo $row['sold']; ?></td>
							  <!--<td class="center"><?php // echo $row['return']; ?></td>
							  <td class="center"><?php // echo $row['count']; ?></td>
                              <td><a href="#portlet-config" data-toggle="modal" data-id = "<?php //echo $row['id']; ?>" class="config">Add</a></td> -->
                           </tr>
                           <?php } ?>
                        </tbody>
                     </table>
                  </div>
				  <div class="pull-right">
				  
					  	 <div>
							<h4 class="block">Advanced Pagination</h4>
							<p id="dynamic_pager_demo21"></p>							
						 </div>
			  
				  </div>
               </div>
               <!-- END EXAMPLE TABLE PORTLET-->
            </div>
         </div>
         <!-- END PAGE CONTENT -->
      </div>
      <!-- END PAGE -->
   </div>
   <!-- END CONTAINER -->
   <!-- BEGIN FOOTER -->
   <div class="footer">
      <div class="footer-inner">
         2014 &copy; POS System.
      </div>
      <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
      </div>
   </div>
   <!-- END FOOTER -->
   <!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->

   <!-- BEGIN CORE PLUGINS -->   
   <!--[if lt IE 9]>
   <script src="assets/plugins/respond.min.js"></script>
   <script src="assets/plugins/excanvas.min.js"></script> 
   <![endif]-->   
   <script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
   <script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>    
   <script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
   <script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js" type="text/javascript" ></script>
   <script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
   <script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>  
   <script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
   <script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript" ></script>
   <!-- END CORE PLUGINS -->
   <!-- BEGIN PAGE LEVEL PLUGINS -->
   <script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>
   <script type="text/javascript" src="assets/plugins/data-tables/jquery.dataTables.js"></script>
   <script type="text/javascript" src="assets/plugins/data-tables/DT_bootstrap.js"></script>
       <script type="text/javascript" src="assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
   <script type="text/javascript" src="assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js"></script>
   <script type="text/javascript" src="assets/plugins/bootstrap-daterangepicker/moment.min.js"></script>
   <script type="text/javascript" src="assets/plugins/bootstrap-daterangepicker/daterangepicker.js"></script> 
   <script type="text/javascript" src="assets/plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.js"></script>  
   <script type="text/javascript" src="assets/plugins/bootstrap-timepicker/js/bootstrap-timepicker.js"></script>

   <script type="text/javascript" src="assets/plugins/jquery-bootpag/jquery.bootpag.min.js"></script>

   <!-- END PAGE LEVEL PLUGINS -->
   <!-- BEGIN PAGE LEVEL SCRIPTS -->
   <script src="assets/scripts/app.js"></script>
   <script src="assets/scripts/table-editable.js"></script>
   <script>
      jQuery(document).ready(function() {       
         App.init();
         //TableEditable.init();
      });
   </script>
<script>
	var id = $('#hidden_num').val();
	var pagenum = $('#pagenum').val();
	
	if(id1 < 50)
	{
		id2 = 1;
	} else {
		var id1 = id/50;
		var id2 = Math.floor(id1)+1;
	}
	
	$('#dynamic_pager_demo21').bootpag({
		paginationClass: 'pagination pagination-sm',
		next: '<icon class="icon-angle-right"></i>',
		prev: '<icon class="icon-angle-left"></i>',
		total: id2,
		page: pagenum,
		maxVisible: 6 
	}).on('page', function(event, num){
		var a = (num-1)*50;
		var b = 50;
		
		var startofMonth = $('#dt').val();
		var endofMonth = $('#dt1').val();		
		
		var url = "summaryInventoryReport.php?";
		if(startofMonth != "")
			url += "startdate="+startofMonth+"&";
		if(endofMonth != "")
			url += "enddate="+endofMonth+"&";
			
		url += "from="+a+"&to="+b+"&page="+num;
		
		location.href=url;
		//$("#dynamic_pager_content2").html("Page " + num + " content here"); // or some ajax content loading...
	});
</script>
<script>
	$('#sample_editable_1').dataTable({
		"bPaginate": false,
        "bFilter": false
	});
</script>
   <script>
		$(document).ready(function() {
        $(document).on('click', '.config', function() {
		
		$('#edit_id').val($(this).data("id"));
		
       });
});
   </script>
   <script>
   $('#btn_add_count').click(function(){
    var id = $('#edit_id').val();
	var count = $('#add_count').val();
	
     $.ajax({
    			type:'POST',
    			data:{ id: id,count: count},
    			url:'update_count.php',
    			success:function(data) {
      			location.reload();
				}
  			});
   
   });
   </script>
	<script>
	$('#dt').datepicker({
		startDate: "2014-01-01"
	});

	$('#dt1').datepicker({
		startDate: "2014-01-01"
	});

	$('#dt1').change(function(){
		var a = $('#dt').val();
		var b = $('#dt1').val();
		location.href='summaryInventoryReport.php?startdate='+a+'&enddate='+b;
		//$('#sample_editable_1_filter .input-medium').val(a);
	});

	</script>
</body>
<!-- END BODY -->
</html>