<?php
require_once 'includes/helpers.php';
$authentication = new Authentication();
$authentication->CheckAuthentication();

$role = $_SESSION["role"];
if(!$authentication->HasAccess($role , Modules::DOSE_ORDERS) &&
   !$authentication->HasAccess($role , Modules::PHARMACY))
    $authentication->DenyAccess();

$validation = new Validation();

SetTimeZone();

$prescription_id = $validation->GetNumericParameter('prescription_id');
$prescription_date = date('Y-m-d H:i:s');

// update prescription table

$pharmacy_mode =  $authentication->CanWrite($role , Modules::PHARMACY);
if($pharmacy_mode){
    $status = $validation->GetNumericParameterOrDefault('status_id', 'null');
    $notes = empty($_POST["notes"]) ? "" : $validation->MakeSafe($_POST["notes"]);

    $sql = "
UPDATE prescriptions
SET
    status_id = $status,
    notes = '$notes'
WHERE
    id = $prescription_id";

} else {

    $doctor_id = $validation->GetNumericParameterOrDefault("doctor_id", '');
    $pharmacy_id = $validation->GetNumericParameterOrDefault("pharmacy_id", $_SESSION["userid"]);

    $sql = "
UPDATE prescriptions
SET
    doctor_id = $doctor_id,
    pharmacy_id = $pharmacy_id
WHERE
    id = $prescription_id";
}

mysql_query($sql);

//echo $sql . "</br>";
// delete previous prescription items
$sql = "DELETE FROM prescription_items WHERE prescription_id = $prescription_id";
mysql_query($sql);
//echo $sql . "</br>";

// insert updated prescription items
$i = 1;
while (isset($_POST['item' . $i])) {
    $item = $validation->GetNumericParameter('item' . $i);
    $quantity = $validation->GetNumericParameter('quantity' . $i);
    $unitCost = empty($_POST['unitcost' . $i]) ? "null" : $validation->GetNumericParameter('unitcost' . $i);

    insertPrescriptionItem($prescription_id, $item, $quantity, $unitCost);

    $i++;
}

function insertPrescriptionItem($prescription_id, $item, $quantity, $unitCost)
{
    $sql = "INSERT INTO prescription_items (prescription_id, item_id, qty, unit_cost)
            VALUES ($prescription_id, $item, $quantity, $unitCost)";
    mysql_query($sql);
}

if(isset($_POST['btn_save_and_print']))
{
    header("Location: viewPrint.php?id=$prescription_id");
}else{
    header('Location: dose_active_orders.php?doctorlistview=all');
}


